# BowPlugin

Lets you configure how Bow/Crossbow works and makes magic attacks more deadly.

## Installation (manual)

copy `plugins` folder to your `BepInEx` folder.
(Note: Delete \config\blacks7ar.BowPlugin.cfg when updating to v1.2.1)

## Features

- Switch arrows with a press of key.
- Configurable arrow accuracy and velocity.
- Configurable Draw Speed, or can be scaled to you Bow skill level.
- Configurable Crossbow Recoil.
- Configurable Crossbow loading time, or can be scaled to you Crossbow skill level.
- Now uses ServerSync (by blaxxun) to sync configs from server to clients.
- Configurable exp multipliers for bow and crossbows.
- New Crosshair color for more visibility
- Speed reduction while drawing bow.
- Character always faces the direction of the cursor when equipped with a bow or crossbow.
- Configurable Sneak attack bonus damage multiplier.
- Successful sneak attack, Sneak skill gains exp.
- Configurable Critical damage to staggered enemies.
- Uses built in config watcher.
- Configurable through config file or [configuration manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

## Credits

- @blaxxun for the serversync and how to use it.

## Changelog

v1.2.7<br/>
- fixed bug on stamina usage<br/>
<br/>
v1.2.6<br/>
- fixed staff of embers aoe damage. nearby objects/players close to player wont take damage anymore.<br/>
<br/>
v1.2.5<br/>
- added config watcher.<br/>
<br/>
v1.2.4<br/>
- fixed walking bug<br/>
<br/>
v1.2.3<br/>
- fixed issue with staff of protection.<br/>
<br/>
v1.2.2<br/>
- added option to turn off character rotation.<br/>
- character rotation now applies to all kinds of weapons.<br/>
<br/>
v1.2.1<br/>
- fixed arrow velocity<br/>
<br/>
v1.2.0<br/>
- added character rotation. character now always faces the direction of your cursor if your equippped with a bow or crossbow.<br/>
- added soft dependency to my SNEAKer mod.<br/>
- added sneak attack damage multiplier.<br/>
- in every successful sneak attack, you now gain sneak skill exp.<br/>
- added critical multiplier to staggered enemies for bow and crossbow.<br/>
<br/>
v1.1.3<br/>
- fixed exp scaling<br/>
- fixed exp from exceeding with skill level is at 100<br/>
- fixed arrow trajectory, its almost close to the crosshair now.. i think xD<br/>
<br/>
v1.1.2<br/>
- fixed arrows going straight to things and not hitting target.<br/>
<br/>
v1.1.1<br/>
- fixed crosshair visibility.<br/>
- added speed reduction while drawing a bow.<br/>
<br/>
v1.1.0<br/>
- added exp multipliers for bows and crossbows.<br/>
<br/>
v1.0.9<br/>
- Fix fishing rod issue, its no longer affected by velocity multiplier.<br/>
- Improves Accuracy / DrawSpeed / ReloadTime calculations.<br/>
<br/>
v1.0.8<br/>
- added serversync by blaxxun<br/>
<br/>
v1.0.7<br/>
- fix chat issue<br/>
<br/>
v1.0.6<br/>
- added configuration for the crossbow. loading time and recoil is now configurable.<br/>
<br/>
v1.0.5<br/>
- added option to change draw speed, either configured manually or can be scaled by your level.<br/>
<br/>
v1.0.4<br/>
- adjusted some values, draw speed is not that slower now at the beginning and not too fast at higher levels.<br/>
<br/>
v1.0.3<br/>
- removed draw speed config (draw speed now scaled by your bow skill level)<br/>
<br/>
v1.0.2<br/>
- arrows no longer switch while typing in console and making pins on the map<br/>
<br/>
v1.0.1<br/>
- added draw speed<br/>
<br/>
v1.0.0<br/> 
- first release<br/>

